/******************** ESTILOS GENERALES **************************/

*,
::after,
::before {
  margin: 0%;
  padding: 0%;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

html {
  font-size: 10px;
}

:root {
  --title: 2.5rem;
  --subtitle: 2rem;

  --parrafo-normal: 1.6rem;
  --parrafo: 1.7rem;
  --subparafo: 1.5rem;

  --text-grey: slategray;

  --color-prymary: #5b8ad3;
  --color-secundary: #a3d9a5;
  --color-fondo: #ffffff;
  --color-detalles: #cfe5ff;
  --color-bordes: #d3d3d3;

  --box-shadow: 0 4px 8px 0 rgba(91, 138, 211, 0.2),
    /* Sombra azul */ 0 6px 20px 0 rgba(163, 217, 165, 0.19);
}

body {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10px;
  background-color: var(--color-fondo);
  overflow-x: hidden;
}

.title {
  font-size: var(--title);
  font-weight: bold;
  color: var(--color-secundary);
}
.subtitle {
  font-size: var(--subtitle);
  font-weight: 600;
  color: var(--color-secundary);
}

.parrafo-normal {
  font-size: var(--parrafo-normal);
}
.parrafo {
  font-size: var(--parrafo);
}
.subparrafo {
  font-size: var(--subparafo);
  color: var(--text-grey);
}

.d-hidden {
  display: none;
  visibility: hidden;
}

/* ************** HEAER ********************* */
header {
  width: 100%;
  height: 100px;
  margin-bottom: 2rem;
}
.navbar-collapse {
  display: flex;
  justify-content: end;
}

.row {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.row .perfil-img {
  width: 350px;
  height: 350px;
  border-radius: 50%;
}

.row .perfil-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
  margin-bottom: 10px;
}
.row .content-text {
  margin-top: 20px;
}

.content-img-portada {
  width: 100%;
  height: 100vh;
  padding: 0;
  margin: 0;
}
.content-img-portada img {
  width: 100%;
  height: 100%;
}

/* ********************************** FOOTER ***************************************** */

footer .footer-login {
  position: sticky;
  bottom: 0;
  width: 100%;
  height: 100%;
}

/* ********************************* NOTICIAS *************************************** */

.content-noticias {
  padding: 1rem;
  border-left: 1px solid var(--color-prymary);
  border-right: 1px solid var(--color-secundary);
}

.container .content-slider {
  position: absolute;
}

.content-img {
  margin-left: 1rem;
  margin-bottom: 1rem;
}

@keyframes show {
  from {
    opacity: 0;
    scale: 25%;
  }
  to {
    opacity: 1;
    scale: 100%;
  }
}

img {
  view-timeline-name: --img;
  view-timeline-axis: block;

  animation-timeline: --img;
  animation-name: show;
  animation-range: entry 25% cover 50%;
  animation-fill-mode: both;
}

/* **************************************** LOGIN ********************************************* */
main .login {
  width: 100%;
  height: 100vh;
}

main .login form input {
  padding: 65px;
}

/* *** VALIDACION DE FORMULARIO *** */

.contact-form {
  --form-ok-color: #4caf50;
  --form-error-color: #f44336;
  margin-left: auto;
  margin-right: auto;
  width: 70%;
}

.contact-form > * {
  padding: 0.5rem;
  margin: 1rem auto;
  display: block;
  width: 90%;
}

.contact-form textarea {
  resize: none;
}

.contact-form legend,
.contact-form-response {
  font-size: 1.5rem;
  font-weight: bold;
  text-align: center;
}

.contact-form input,
.contact-form textarea {
  font-size: 1rem;
  font-family: sans-serif;
}

.contact-form button[type="submit"],
button[type="reset"] {
  width: 50%;
  font-weight: bold;
  cursor: pointer;
}

.contact-form *::placeholder {
  color: #000;
}

.contact-form [required]:valid {
  border: thin solid var(--form-ok-color);
}

.contact-form [required]:invalid {
  border: thin solid var(--form-error-color);
}

.contact-form-error {
  margin-top: -1rem;
  font-size: 80%;
  background-color: var(--form-error-color);
  color: #fff;
  transition: all 800ms ease;
}

.contact-form-error.is-active {
  display: block;
  animation: show-message 1s 1 normal 0s ease-out both;
}

.none {
  display: none;
}

@keyframes show-message {
  0% {
    visibility: hidden;
    opacity: 0;
  }

  100% {
    visibility: visible;
    opacity: 1;
  }
}

/* *******medias query******** */

/* *Small devices (landscape phone, 576px an up) */
@media (min-width: 576px) {
}

/* *Medium devices (tablets, 768px an up) */
@media (min-width: 768px) {
}

/* *large divice (desktops, 992px an up) */
@media (min-width: 992px) {
  .navbar-expand-lg .navbar-nav .nav-link {
    align-items: center;
  }
}

/* *X-large divice (large desktops, 1200px an up) */
@media (min-width: 1200px) {
}

/* *XX-large divice (large desktops, 1400px an up) */
@media screen and (min-width: 1400px) {
}

footer {
  background-color: var(--color-detalles);
}
